> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/environment/isminversionsupported.md).

# isMinVersionSupported

> 函数式 API `isMinVersionSupported`也可以通过它使用相同的功能。

### 功能说明

检查当前 Toss 应用版本是否为各平台最低支持版本及以上。按当前平台（Android/iOS）对应的版本基准进行比较。

* `'always'`时，在该平台上始终 `true`则返回。
* `'never'`时，在该平台上始终 `false`则返回。
* 在沙盒环境中，无论版本如何都始终 `true`则返回。

### 类型

```ts
isMinVersionSupported(minVersions): boolean;
```

**Params**

```ts
{
  android: `${number}.${number}.${number}` | "always" | "never";
  ios: `${number}.${number}.${number}` | "always" | "never";
}
```

**Response**

`boolean`。

### 示例代码

```js
import { Environment } from "@apps-in-toss/web-framework";

const supported = Environment.isMinVersionSupported({
  android: "5.250.0",
  ios: "always",
});

if (!supported) {
  console.warn("当前 Toss 应用版本无法使用此功能。");
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/environment/isminversionsupported.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
